Skip to main content
`Ctrl`+`K`

# SNESNewtonTRSetNormType

Specify the type of norm to use for the computation of the trust region.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNewtonTRSetNormType(SNES snes, NormType norm)

## Input Parameters

- snes - the nonlinear solver object

- norm - the norm type

## See Also

`SNESNEWTONTR`, `NormType`

## Level

intermediate

## Location

src/snes/impls/tr/tr.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages